srcdir = @srcdir@
VPATH  = @srcdir@

BINRM	 = @BINRM@
SUBDIRS  = pt ftp finger archie telnet

all:: Makefile
	@(for i in $(SUBDIRS);  do (cd $$i; $(MAKE) -k MAKE=$(MAKE)); done)

Makefile: $(srcdir)/Makefile.in ../config.status
	(cd ..; CONFIG_FILES=clients/Makefile CONFIG_HEADERS= ./config.status)

clean: 
	@(for i in $(SUBDIRS);  do (cd $$i; $(MAKE) -k MAKE=$(MAKE) clean); done)

distclean:
	$(BINRM) Makefile *~ #*# *.bak
	@(for i in $(SUBDIRS);  do (cd $$i; $(MAKE) -k MAKE=$(MAKE) distclean); done)

install: all 
	@(for i in $(SUBDIRS);  do (cd $$i; $(MAKE) -k MAKE=$(MAKE) install); done) 

depend:
	@(cd pt; $(MAKE -k MAKE=$(MAKE) depend); ) 
